%define name fwlogwatch
%define version 0.9
%define release 2mdk

Summary: Firewall log analyzer, report generator and realtime response agent
Name: %{name}
Version: %{version}
Release: %release
Group: Monitoring
URL: http://cert.uni-stuttgart.de/projects/fwlogwatch/
License: GPL
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-%version-paths.patch.bz2
Patch1: %{name}-0.6-initscript.patch.bz2
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: rpm-helper

%description
fwlogwatch produces ipchains, netfilter/iptables, ipfilter, Cisco IOS and
Cisco PIX log summary reports in text and HTML form and has a lot of
options to find and display relevant patterns in connection attempts. With
the data found it can also generate customizable incident reports from a
template and send them to abuse contacts at offending sites or CERT
coordination centers. Finally, it can also run as daemon and report
anomalies or start countermeasures.

%prep

%setup -q
%patch0 -p1 -b .paths
%patch1 -p1

%build

%serverbuild

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initrddir}

%makeinstall_std install-config install-i18n \
		MANDIR=%{_mandir}  INSTALL_DIR=%{_prefix}  CONF_DIR=%{_sysconfdir} \
		DATADIR=%{_datadir}
#make install INSTALL_DIR=%{buildroot}%{_prefix} \
#	CONF_DIR=%{buildroot}%{_sysconfdir}
#make install-config INSTALL_DIR=%{buildroot}%{_prefix} \
#	CONF_DIR=%{buildroot}%{_sysconfdir}
%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%_post_service fwlogwatch

%preun
%_preun_service fwlogwatch

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog README
%doc contrib/fwlogsummary.cgi contrib/fwlogsummary_small.cgi
%config(noreplace) %{_sysconfdir}/fwlogwatch.config
%config(noreplace) %{_sysconfdir}/fwlogwatch.template
%{_sbindir}/fwlogwatch
%{_sbindir}/fwlw_notify
%{_sbindir}/fwlw_respond
%config (noreplace) %{_initrddir}/fwlogwatch
%{_mandir}/man8/fwlogwatch.8*

%changelog
* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9-2mdk
- rebuild
- use %%make macro
- use %%makeinstall_std macro
- quiet setup

* Mon Feb 03 2003 Florin <florin@mandrakesoft.com> 0.9-1mdk
- 0.9

* Tue Jun 18 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6-3mdk
- fix initscript (thanks to Andre DUCLOS)

* Sat Jun  8 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6-2mdk
- BuildRequires
- add %%_post_service and %%_preun_service (rpmlint)
- %{_initrddir}/fwlogwatch --> %config %{_initrddir}/fwlogwatch (rpmlint)

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6
- regenerate patch

* Thu Jan 31 2002 Philippe Libat <philippe@mandrakesoft.com> 0.5.2-1mdk
- new version

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- initial MDK contrib package
	- added patch 1
